#!/bin/bash

SOURCE_DIR=$(realpath $(dirname "${0}"))

# Install dependencies for SeedDMS
apt-get --no-install-recommends install php7.0-gd php7.0-fpm php7.0-mbstring php7.0-xml

# Install SeedDMS
wget https://sourceforge.net/projects/seeddms/files/seeddms-5.0.11/seeddms-5.0.11.tar.gz/download -O /srv/seeddms-5.0.11.tar.gz
tar xf /srv/seeddms-5.0.11.tar.gz -C /srv/
mv /srv/seeddms-5.0.11 /srv/seeddms

# Create nginx app definition
cp ${SOURCE_DIR}/seeddms/etc/nginx/apps-available/seeddms /etc/nginx/apps-available/seeddms
ln -s /etc/nginx/apps-available/seeddms /etc/nginx/apps-enabled/seeddms

# Restart services
systemctl restart nginx

# TODO: Custom user
# TODO: Set cgroups
# TODO: Dependencies (both PHP and PEAR)
# TODO: Does it run on PostgeSQL or MariaDB only?
